<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shkj.wms.mapper.BaseAddressMapper">

    <resultMap type="com.shkj.wms.domain.BaseAddress" id="BaseAddressResult">
            <result property="id" column="id"/>
            <result property="addressId" column="address_id"/>
            <result property="companyId" column="company_id"/>
            <result property="addressName" column="address_name"/>
            <result property="addressType" column="address_type"/>
            <result property="postcode" column="postcode"/>
            <result property="contactman" column="contactman"/>
            <result property="tel" column="tel"/>
            <result property="addressMail" column="address_mail"/>
            <result property="addressZone1" column="address_zone1"/>
            <result property="addressZone2" column="address_zone2"/>
            <result property="addressZone3" column="address_zone3"/>
            <result property="addressZone4" column="address_zone4"/>
            <result property="addressZone5" column="address_zone5"/>
            <result property="addressZone6" column="address_zone6"/>
            <result property="lineno" column="lineno"/>
            <result property="linename" column="linename"/>
            <result property="loadOrder" column="load_order"/>
            <result property="remark" column="remark"/>
            <result property="consignorId" column="consignor_id"/>
            <result property="branchId" column="branch_id"/>
            <result property="extend1" column="extend1"/>
            <result property="extend2" column="extend2"/>
            <result property="extend3" column="extend3"/>
            <result property="extend4" column="extend4"/>
            <result property="extend5" column="extend5"/>
            <result property="isDel" column="is_del"/>
            <result property="createTime" column="create_time"/>
            <result property="createBy" column="create_by"/>
            <result property="updateTime" column="update_time"/>
            <result property="updateBy" column="update_by"/>
    </resultMap>
</mapper>